﻿using System;
using Syncfusion.SfCalendar.XForms;
using Xamarin.Forms;

namespace DataSourceUpdateIssue
{
	public partial class DataSourceUpdateIssuePage : ContentPage
	{
		public DataSourceUpdateIssuePage()
		{
			InitializeComponent();
			calendar.SelectionChanged += Calendar_SelectionChanged;
			calendar.OnMonthCellLoaded += Calendar_OnMonthCellLoaded;
			calendar.ShowInlineEvents = true;
		}
		int counter = 0;
		void Calendar_OnMonthCellLoaded(object sender, MonthCell args)
		{
			counter++;
			System.Diagnostics.Debug.WriteLine(counter);
		}

		void Calendar_SelectionChanged(object sender, Syncfusion.SfCalendar.XForms.SelectionChangedEventArgs args)
		{

		}

		void Handle_Clicked(object sender, System.EventArgs e)
		{
			CalendarInlineEvent events = new CalendarInlineEvent();
			events.StartTime = new DateTime(2017, 3, 11);
			events.EndTime = new DateTime(2017, 3, 12);
			events.Subject = "Go to Meeting";

			CalendarEventCollection collection = new CalendarEventCollection();
			collection.Add(events);
			calendar.DataSource = collection;
		}
	}
}
